Bug 11409 - Copy defconfig files from configs directory
Summary: Copy defconfig files from configs directory
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 6.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-05-14 15:29 UTC by Jos Vos
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-14 15:30:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for kernel-2.2.14.spec file. (601 bytes, patch)
2000-05-14 15:30 UTC, Jos Vos
no flags Details | Diff

Description Jos Vos 2000-05-14 15:29:09 UTC
A small enhancement suggestion for kernel spev (kernel-2.2.14.spec):

When copying a config file to defconfig (lines 505 and 507), it would be
better to copy the file from the configs directory i.s.o. from the SOURCES
directory.  The config files are copied from SOURCES to configs in %prep
and using these copies later makes it possible for someone to patch the
config files in configs in the %prep phase, when one needs to build own,
derived kernel packages, without the need to change the rest of the spec
file.

I'll also submit the small patch for this.

Comment 1 Jos Vos 2000-05-14 15:30:59 UTC
Created attachment 243 [details]
Patch for kernel-2.2.14.spec file.

Comment 2 Michael K. Johnson 2000-07-31 21:14:08 UTC
If I follow you, a change of that sort has been made in our
current RawHide/Beta kernel source.


Note You need to log in before you can comment on or make changes to this bug.